 /**----------------------------------------------------
 * File:      ActionManager.java
 * Package:   at.hoertler.svgeditor.action
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 *
 *
 */
package at.hoertler.svgeditor.action;

import at.hoertler.svgeditor.event.ActionPerformedEvent;
import at.hoertler.svgeditor.event.ActionPerformedListener;
import java.util.ArrayList;


public class ActionManager {

  private static ArrayList<ActionPerformedListener> listener = new ArrayList<ActionPerformedListener>();

  /**
   * Adds an listener to the ActionManager.
   *
   * @param apl ActionPerformedListener
   */
  public static void addActionPerformedListener(ActionPerformedListener apl) {
    listener.add(apl);
  }

  /**
   * Removes an listener from the ActionManager.
   *
   * @param apl ActionPerformedListener
   */
  public static void removeActionPerformedListener(ActionPerformedListener apl) {
    listener.remove(apl);
  }

  /**
   * Fires the given ActionEvent to all listeners.
   *
   * @param e ActionEvent that the listeners should execute.
   */
  public static void fireActionPerformedEvent(ActionPerformedEvent e) {
    for (ActionPerformedListener l : listener) {
      l.actionPerformed(e);
    }
  }
}
