/**----------------------------------------------------
 * File:      ToolBarSelectionButton.java
 * Package:   at.hoertler.svgeditor.display.toolbar
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * This is the ToolBarButton for the Selection-Tool.
 */
package at.hoertler.svgeditor.display.toolbar;

import at.hoertler.svgeditor.svg.elements.SVGElement;
import at.hoertler.svgeditor.svg.elements.SVGSelection;
import javax.swing.Icon;

public class ToolBarSelectionButton extends ToolBarButton {
    private SVGSelection selection = null;

    /**
     * @return the selection
     */
    public SVGElement getSelectionElement() {
        SVGElement elem = this.selection.getInstance();
        ((SVGSelection)elem).setElementManager(this.getToolBarManager().getEditor().getElementManager());
        return elem;
    }

    /**
     * @return the selection
     */
    public SVGSelection getSelection() {
        return (SVGSelection)this.getSelectionElement();
    }

     public ToolBarSelectionButton(String name, ToolBarManager tbm, SVGSelection sel) {
        this(name,name,tbm,sel);
    }
    
    public ToolBarSelectionButton(String name, String toolTipText, ToolBarManager tbm, SVGSelection sel) {
        super(name,toolTipText,tbm);
        this.selection = sel;
        this.selection.setElementManager(this.getToolBarManager().getEditor().getElementManager());
        this.setIcon(this.createIcon());
    }

    @Override
    protected Icon createIcon() {
        return this.selection.getIcon();
    }

}
